Imports System.ComponentModel
Imports System.Drawing.Design
''' <summary>
''' Hilfsklasse, die für das anzeigen und abspeichern von SQL-Befehlen verwendet wird
''' </summary>
<Editor(GetType(ClassImageSelector), GetType(UITypeEditor))>
<TypeConverter(GetType(ClassImageSelector))>
Public Class ImageValue
    Public Property Value As String
    Public Sub New()
        Me.Value = ""
    End Sub
    Public Sub New(value As String)
        Me.Value = value
    End Sub

    Public Overrides Function ToString() As String
        If Value = String.Empty Then
            Return String.Empty
        Else
            Return "(Image)"
        End If
    End Function
End Class